Package be.fgov.ehealth.seals.core.v1

# Class ChoiceEncodedDataErrorType

java.lang.Object
be.fgov.ehealth.seals.core.v1.ChoiceEncodedDataErrorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:09:38+02:00", comments="JAXB RI v4.0.5") public class ChoiceEncodedDataErrorType extends Object implements Serializable
Switch for returning encoded data or an error.

Java class for ChoiceEncodedDataErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChoiceEncodedDataErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="EncodedData" type="{urn:be:fgov:ehealth:seals:core:v1}EncodedDataType"/>
             <element name="Error" type="{urn:be:fgov:ehealth:seals:core:v1}ErrorType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChoiceEncodedDataErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EncodedDataType`
  `getEncodedData()`
  Gets the value of the encodedData property.
  `ErrorType`
  `getError()`
  Gets the value of the error property.
  `void`
  `setEncodedData(EncodedDataType value)`
  Sets the value of the encodedData property.
  `void`
  `setError(ErrorType value)`
  Sets the value of the error property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChoiceEncodedDataErrorType

    public ChoiceEncodedDataErrorType()

- ## Method Details

  - ### getError

    public ErrorType getError()
    Gets the value of the error property.
    Returns:
      possible object is `ErrorType`

  - ### setError

    public void setError(ErrorType value)
    Sets the value of the error property.
    Parameters:
      `value` - allowed object is `ErrorType`

  - ### getEncodedData

    public EncodedDataType getEncodedData()
    Gets the value of the encodedData property.
    Returns:
      possible object is `EncodedDataType`

  - ### setEncodedData

    public void setEncodedData(EncodedDataType value)
    Sets the value of the encodedData property.
    Parameters:
      `value` - allowed object is `EncodedDataType`